@import url('https://fonts.googleapis.com/css?family=Raleway:400,700');


@media (max-width: 768px) {
    .screen {
        width: 100%;
        max-width: 100%; /* Asegura que ocupe todo el ancho en pantallas pequeñas */
        height: auto;
    }
    
    .login {
        padding-top: 50px; /* Ajusta el padding superior */
    }
}


* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;	
	font-family: Raleway, sans-serif;
}

body {
	background: linear-gradient(270deg, #C7C5F4, #5fed00b3);
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    padding: 20px; /* Para evitar que los bordes queden pegados en pantallas pequeñas */
}

.screen {
    background: linear-gradient(90deg, #333333, #5fed00);
    position: relative;
    height: 600px;
    width: 100%;
    max-width: 360px; /* Limita el ancho máximo */
    margin: 0 auto; /* Centra horizontalmente */
    box-shadow: 0px 0px 24px #5fed00;
}


.responsive-logo {
    max-width: 100%; 
    height: auto;
}


.screen__content {
	z-index: 1;
	position: relative;	
	height: 100%;
}

.screen__background {		
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 0;
	-webkit-clip-path: inset(0 0 0 0);
	clip-path: inset(0 0 0 0);	
}

.screen__background__shape {
	transform: rotate(45deg);
	position: absolute;
}

.screen__background__shape1 {
	height: 520px;
	width: 520px;
	background: #FFF;	
	top: -50px;
	right: 120px;	
	border-radius: 0 72px 0 0;
}

.screen__background__shape2 {
	height: 220px;
	width: 220px;
	background: #5fed008e;	
	top: -172px;
	right: 0;	
	border-radius: 32px;
}

.screen__background__shape3 {
	height: 540px;
	width: 190px;
	background: linear-gradient(270deg, #5fed008e, #5fed00de);
	top: -24px;
	right: 0;	
	border-radius: 32px;
}

.screen__background__shape4 {
	height: 400px;
	width: 200px;
	background: #333333;	
	top: 420px;
	right: 50px;	
	border-radius: 60px;
}

.login { 
    width: 320px;
    padding: 30px;
    padding-top: 80px; /* Incrementa el valor para que haya espacio suficiente arriba */
}


.login__field {
	padding: 3px 0px;	
	position: relative;	
}

.login__icon {
	position: absolute;
	top: 30px;
	color: #333333;
}

.login__input {
	border: none;
	border-bottom: 2px solid #D1D1D4;
	background: none;
	padding: 10px;
	padding-left: 24px;
	font-weight: 700;
	width: 75%;
	transition: .2s;
}

.login__input:active,
.login__input:focus,
.login__input:hover {
	outline: none;
	border-bottom-color: #333333;
}

.login__submit {
	background: #fff;
	font-size: 14px;
	margin-top: 30px;
	padding: 16px 20px;
	border-radius: 26px;
	border: 1px solid #D4D3E8;
	text-transform: uppercase;
	font-weight: 700;
	display: flex;
	align-items: center;
	width: 100%;
	color: #333333;
	box-shadow: 0px 2px 2px #5fed008e;
	cursor: pointer;
	transition: .2s;
}

.login__submit:active,
.login__submit:focus,
.login__submit:hover {
	border-color: #5fed008e;
	outline: none;
}

.button__icon {
	font-size: 24px;
	margin-left: auto;
	color: #5fed008e;
}

.social-login {
    position: absolute;
    top: 50px; /* Ajusta este valor para cambiar la posición vertical */
    left: 50%;
    transform: translateX(-50%); /* Centra horizontalmente la imagen */
    width: 150px; /* Ajusta el tamaño de la imagen */
}

.social-icons {
	display: flex;
	align-items: center;
	justify-content: center;
}

.social-login__icon {
	padding: 20px 10px;
	color: #fff;
	text-decoration: none;	
	text-shadow: 0px 0px 8px #7875B5;
}

.social-login__icon:hover {
	transform: scale(1.5);	
}